import * as tslib_1 from "tslib";
import * as React from 'react';
import { ComponentPage, ExampleCard, PropertiesTableSet, PageMarkdown, } from '@uifabric/example-app-base';
import { items } from '../CommandBar/examples/data';
import { CalloutBasicExample } from './examples/Callout.Basic.Example';
import { CalloutNestedExample } from './examples/Callout.Nested.Example';
import { CalloutDirectionalExample } from './examples/Callout.Directional.Example';
import { CalloutCoverExample } from './examples/Callout.Cover.Example';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { CalloutStatus } from './Callout.checklist';
var CalloutBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Basic.Example.tsx');
var CalloutNestedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Nested.Example.tsx');
var CalloutDirectionalExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Directional.Example.tsx');
var CalloutCoverExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Callout/examples/Callout.Cover.Example.tsx');
var CalloutPage = /** @class */ (function (_super) {
    tslib_1.__extends(CalloutPage, _super);
    function CalloutPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CalloutPage.prototype.render = function () {
        var cmdBarParamsTextAndIcons = { items: items, farItems: null };
        return (React.createElement(ComponentPage, { title: 'Callout', componentName: 'CalloutExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Callout', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'Default Callout', code: CalloutBasicExampleCode },
                    React.createElement(CalloutBasicExample, null)),
                React.createElement(ExampleCard, { title: 'Nested Callout... Callout with a commandbar with a sub menu', code: CalloutNestedExampleCode },
                    React.createElement(CalloutNestedExample, tslib_1.__assign({}, cmdBarParamsTextAndIcons))),
                React.createElement(ExampleCard, { title: 'Callout with directional hint', code: CalloutDirectionalExampleCode },
                    React.createElement(CalloutDirectionalExample, null)),
                React.createElement(ExampleCard, { title: 'Callout with cover', code: CalloutCoverExampleCode },
                    React.createElement(CalloutCoverExample, null))), propertiesTables: React.createElement("div", null,
                React.createElement(PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/Callout/Callout.types.ts')
                    ] }),
                React.createElement("p", null,
                    "Besides the above properties, the ",
                    React.createElement("code", null, "Callout"),
                    " component accepts all properties that the React ",
                    React.createElement("code", null, "button"),
                    " and ",
                    React.createElement("code", null, "a"),
                    " components accept.")), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Callout/docs/CalloutOverview.md')), bestPractices: React.createElement("div", null), dos: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Callout/docs/CalloutDos.md')), donts: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/Callout/docs/CalloutDonts.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, CalloutStatus)) }));
    };
    return CalloutPage;
}(React.Component));
export { CalloutPage };
//# sourceMappingURL=CalloutPage.js.map