import * as tslib_1 from "tslib";
import * as React from 'react';
import { ExampleCard, ComponentPage, PageMarkdown, PropertiesTableSet } from '@uifabric/example-app-base';
import { ListBasicExample } from './examples/List.Basic.Example';
import { ListGridExample } from './examples/List.Grid.Example';
import { ListScrollingExample } from './examples/List.Scrolling.Example';
import { ListGhostingExample } from './examples/List.Ghosting.Example';
import { createListItems } from '@uifabric/example-app-base';
import { ComponentStatus } from '../../demo/ComponentStatus/ComponentStatus';
import { ListStatus } from './List.checklist';
var ListBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/List/examples/List.Basic.Example.tsx');
var ListGridExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/List/examples/List.Grid.Example.tsx');
var ListScrollingExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/List/examples/List.Scrolling.Example.tsx');
var ListGhostingExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/List/examples/List.Ghosting.Example.tsx');
var _cachedItems;
var ListPage = /** @class */ (function (_super) {
    tslib_1.__extends(ListPage, _super);
    function ListPage(props) {
        var _this = _super.call(this, props) || this;
        _cachedItems = _cachedItems || createListItems(5000);
        return _this;
    }
    ListPage.prototype.render = function () {
        return (React.createElement(ComponentPage, { title: 'List', componentName: 'ListExample', componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/List', exampleCards: React.createElement("div", null,
                React.createElement(ExampleCard, { title: 'List of 5000 grid items', isOptIn: true, code: ListGridExampleCode },
                    React.createElement(ListGridExample, { items: _cachedItems })),
                React.createElement(ExampleCard, { title: 'List of 5000 variable height items', isOptIn: true, code: ListBasicExampleCode },
                    React.createElement(ListBasicExample, { items: _cachedItems })),
                React.createElement(ExampleCard, { title: 'Scrolling items into view', isOptIn: true, code: ListScrollingExampleCode },
                    React.createElement(ListScrollingExample, { items: _cachedItems })),
                React.createElement(ExampleCard, { title: 'Rendering ghost items while the list is scrolling', isOptIn: true, code: ListGhostingExampleCode },
                    React.createElement(ListGhostingExample, { items: _cachedItems }))), allowNativeProps: true, propertiesTables: React.createElement(PropertiesTableSet, { sources: [
                    require('!raw-loader!office-ui-fabric-react/src/components/List/List.types.ts')
                ] }), overview: React.createElement(PageMarkdown, null, require('!raw-loader!office-ui-fabric-react/src/components/List/docs/ListOverview.md')), isHeaderVisible: this.props.isHeaderVisible, componentStatus: React.createElement(ComponentStatus, tslib_1.__assign({}, ListStatus)) }));
    };
    return ListPage;
}(React.Component));
export { ListPage };
//# sourceMappingURL=ListPage.js.map